Page MenuHomePhabricator

That file type is forbidden: ogg
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.25wmf14Bring UploadWizard submodule up to date
mediawiki/core : wmf/1.25wmf15Bring UploadWizard submodule up to date
mediawiki/extensions/UploadWizard : wmf/1.25wmf14Fix formdata filename field
mediawiki/extensions/UploadWizard : wmf/1.25wmf15Fix formdata filename field
mediawiki/extensions/UploadWizard : masterFix formdata filename field

Event Timeline

Steinsplitter raised the priority of this task from to High.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a project: UploadWizard.
Steinsplitter added subscribers: Steinsplitter, Bawolff.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 25 2015, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Steinsplitter set Security to None.Jan 25 2015, 3:40 PM
Steinsplitter added a subscriber: MarkTraceur.
Steinsplitter added subscribers: Gilles, Tgr.

I guess this must be intermittent, as the following files were recently (within the last couple hours) uploaded with uploadWizard:

https://commons.wikimedia.org/wiki/File:Ver_foto_no_fb_zero.mp4.ogg
https://commons.wikimedia.org/wiki/File:13_I%C3%82%C2%B4m_your_Angel.ogg (Looks like a copyvio...)

I was able to reproduce with [[File:Mg-ady_am-panarahana.ogg]]

Error from api is:
{"servedby":"mw1017","error":{"code":"filetype-banned","info":"Filetype not permitted: ogx","filetype":"ogx","allowed":["png","gif","jpg","jpeg","tiff","tif","xcf","pdf","mid","ogg","ogv","svg","djvu","oga","flac","wav","webm"],"*":"See https://test.wikipedia.org/w/api.php for API usage"}}

So I guess its considering it to be an ogx instead of a .oga (or .ogg) like it should. MediaWiki should be considering ogx an alias of .ogg...

I tested it with File:De-Deutschland.ogg and got the error. :/ So there has changed something in the last time?

MariaDB [commonswiki_p]> SELECT
    -> img_media_type,
    -> img_major_mime,
    -> img_minor_mime,
    -> img_sha1
    -> FROM image
    -> WHERE img_name = "De-Deutschland.ogg";
+----------------+----------------+----------------+---------------------------------+
| img_media_type | img_major_mime | img_minor_mime | img_sha1                        |
+----------------+----------------+----------------+---------------------------------+
| AUDIO          | application    | ogg            | 8fh3yibfcdm91ir2l14wmr0hckvp0j9 |
+----------------+----------------+----------------+---------------------------------+
1 row in set (0.00 sec)

I think its something funky with how file detection is working (possibly if auto-detected as audio/ogg or application/ogg). I uploaded [[File:Random_ogg_test.ogg]] to testwiki just fine, but Mg-ady_am-panarahana.ogg fails, and I can't really tell what would be different between the two (they're both short vorbis audio files).

I suspect this is failing on upload wizard but not Special:Upload due to how stashed files throw away the originial extension, where I don't think Special:Upload does.

So the most obvious fix would be to change mime.types to make .ogg the canonical extension for application/ogg (technically against rfc 5334), instead of .ogx (which it is currently). Or perhaps just enable .ogx as an allowed extension on commons.

Its unclear to me why this is suddenly failing now.

Hmm, I noticed that uploadwizard is sending filename=undefined in the ajax request, maybe that's somehow triggering this.

Note, that second time around uploading [[File:Random_ogg_test.ogg]] it didn't work, so I'm not sure what I did the first time.

Created a new bug for the missing filename issue as T87062 is still private (bah).

Whiteisting ogx should solve this problem? If yes, can we do that please?

In T87538#994114, @Tgr wrote:

Created a new bug for the missing filename issue as T87062 is still private (bah).

Sorry. It's public again now

gerritbot added a subscriber: gerritbot.

Change 187317 had a related patch set uploaded (by Gilles):
Fix formdata filename field

https://gerrit.wikimedia.org/r/187317

Patch-For-Review

Gilles claimed this task.Jan 29 2015, 1:42 AM
Gilles moved this task from Untriaged to Needs code review on the Multimedia board.

Change 187317 merged by jenkins-bot:
Fix formdata filename field

https://gerrit.wikimedia.org/r/187317

Change 187697 had a related patch set uploaded (by Gilles):
Fix formdata filename field

https://gerrit.wikimedia.org/r/187697

Patch-For-Review

Change 187698 had a related patch set uploaded (by Gilles):
Fix formdata filename field

https://gerrit.wikimedia.org/r/187698

Patch-For-Review

Change 187699 had a related patch set uploaded (by Gilles):
Bring UploadWizard submodule up to date

https://gerrit.wikimedia.org/r/187699

Patch-For-Review

Change 187697 merged by jenkins-bot:
Fix formdata filename field

https://gerrit.wikimedia.org/r/187697

Change 187698 merged by jenkins-bot:
Fix formdata filename field

https://gerrit.wikimedia.org/r/187698

Change 187700 had a related patch set uploaded (by Gilles):
Bring UploadWizard submodule up to date

https://gerrit.wikimedia.org/r/187700

Patch-For-Review

Change 187699 merged by MarkTraceur:
Bring UploadWizard submodule up to date

https://gerrit.wikimedia.org/r/187699

Change 187700 merged by MarkTraceur:
Bring UploadWizard submodule up to date

https://gerrit.wikimedia.org/r/187700

MarkTraceur moved this task from Needs backport to Doing on the Multimedia board.Feb 4 2015, 5:50 PM
MarkTraceur closed this task as Resolved.Feb 6 2015, 9:32 PM

I believe this is fixed!

Jdforrester-WMF moved this task from Doing to Done on the Multimedia board.Oct 23 2015, 4:59 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 23 2015, 4:59 PM